#1 JVM core dump

Alpha_3
closed-wont-fix
nobody
5
2006-03-12
2005-05-11
No

The java process of the image filter craches when it
gets the first image and displays the message below. I
expect that it happens when the JVM is loading the
dynamic libaries but I cannot guess what is the problem
exactly... The monitor also dies because it depends on
the connection with the image filter.

------------------------------------------------------------
An unexpected exception has been detected in native
code outside the VM.
Unexpected Signal : 11 occurred at PC=0x40009315
Function=_dl_relocate_object+0x65
Library=/lib/ld-linux.so.2

Current Java thread:
at
org.poesia.filters.SymbolRequest.filter(Native Method)
at
org.poesia.filters.SymbolRequest.filter(SymbolRequest.java:104)
at
org.poesia.filters.SymbolRequest.request(SymbolRequest.java:41)
at
org.poesia.filters.Request.processRequest(Request.java:468)
at
org.poesia.filters.Request.dispatch(Request.java:432)
at
org.poesia.filters.Request.loopMessage(Request.java:412)
at org.poesia.filters.Request.run(Request.java:387)
at
org.poesia.utils.ThreadPool$RunThread.run(ThreadPool.java:88)
at java.lang.Thread.run(Thread.java:534)

Dynamic libraries:
08048000-08056000 r-xp 00000000 16:03 377236
/opt/j2sdk1.4.2_06/bin/java
08056000-08059000 rw-p 0000d000 16:03 377236
/opt/j2sdk1.4.2_06/bin/java
40000000-40016000 r-xp 00000000 16:03 703154
/lib/ld-2.3.2.so
40016000-40017000 rw-p 00015000 16:03 703154
/lib/ld-2.3.2.so
40018000-40020000 r-xp 00000000 16:03 426274
/opt/j2sdk1.4.2_06/jre/lib/i386/native_threads/libhpi.so
40020000-40021000 rw-p 00007000 16:03 426274
/opt/j2sdk1.4.2_06/jre/lib/i386/native_threads/libhpi.so
40021000-40025000 rw-s 00000000 16:03 116228
/tmp/hsperfdata_root/2666
40027000-40034000 r-xp 00000000 16:03 703173
/lib/libpthread-0.10.so
40034000-40036000 rw-p 0000c000 16:03 703173
/lib/libpthread-0.10.so
40078000-4007a000 r-xp 00000000 16:03 703162
/lib/libdl-2.3.2.so
4007a000-4007b000 rw-p 00002000 16:03 703162
/lib/libdl-2.3.2.so
4007c000-401a4000 r-xp 00000000 16:03 703160
/lib/libc-2.3.2.so
401a4000-401ac000 rw-p 00127000 16:03 703160
/lib/libc-2.3.2.so
401af000-405ab000 r-xp 00000000 16:03 344526
/opt/j2sdk1.4.2_06/jre/lib/i386/client/libjvm.so
405ab000-405c7000 rw-p 003fb000 16:03 344526
/opt/j2sdk1.4.2_06/jre/lib/i386/client/libjvm.so
405d9000-405eb000 r-xp 00000000 16:03 703165
/lib/libnsl-2.3.2.so
405eb000-405ec000 rw-p 00011000 16:03 703165
/lib/libnsl-2.3.2.so
405ee000-4060f000 r-xp 00000000 16:03 703163
/lib/libm-2.3.2.so
4060f000-40610000 rw-p 00020000 16:03 703163
/lib/libm-2.3.2.so
40610000-40613000 r--s 00000000 16:03 377231
/opt/j2sdk1.4.2_06/jre/lib/ext/dnsns.jar
40613000-40616000 r-xp 00000000 16:03 557226
/usr/lib/libgmodule-2.0.so.0.600.2
40616000-40617000 rw-p 00002000 16:03 557226
/usr/lib/libgmodule-2.0.so.0.600.2
40617000-4061d000 r-xp 00000000 16:03 245711
/opt/j2sdk1.4.2_06/jre/lib/i386/libnio.so
4061d000-4061e000 rw-p 00005000 16:03 245711
/opt/j2sdk1.4.2_06/jre/lib/i386/libnio.so
4061f000-40626000 r-xp 00000000 16:03 703166
/lib/libnss_compat-2.3.2.so
40626000-40627000 rw-p 00006000 16:03 703166
/lib/libnss_compat-2.3.2.so
40627000-4062f000 r-xp 00000000 16:03 703170
/lib/libnss_nis-2.3.2.so
4062f000-40630000 rw-p 00007000 16:03 703170
/lib/libnss_nis-2.3.2.so
40630000-40638000 r-xp 00000000 16:03 703168
/lib/libnss_files-2.3.2.so
40638000-40639000 rw-p 00008000 16:03 703168
/lib/libnss_files-2.3.2.so
40639000-40649000 r-xp 00000000 16:03 245704
/opt/j2sdk1.4.2_06/jre/lib/i386/libverify.so
40649000-4064b000 rw-p 0000f000 16:03 245704
/opt/j2sdk1.4.2_06/jre/lib/i386/libverify.so
4064b000-4066b000 r-xp 00000000 16:03 245705
/opt/j2sdk1.4.2_06/jre/lib/i386/libjava.so
4066b000-4066d000 rw-p 0001f000 16:03 245705
/opt/j2sdk1.4.2_06/jre/lib/i386/libjava.so
4066d000-40681000 r-xp 00000000 16:03 245707
/opt/j2sdk1.4.2_06/jre/lib/i386/libzip.so
40681000-40684000 rw-p 00013000 16:03 245707
/opt/j2sdk1.4.2_06/jre/lib/i386/libzip.so
40684000-4202b000 r--s 00000000 16:03 1292796
/opt/j2sdk1.4.2_06/jre/lib/rt.jar
42075000-4208b000 r--s 00000000 16:03 1292748
/opt/j2sdk1.4.2_06/jre/lib/sunrsasign.jar
4208b000-42168000 r--s 00000000 16:03 1292793
/opt/j2sdk1.4.2_06/jre/lib/jsse.jar
42168000-42179000 r--s 00000000 16:03 1292749
/opt/j2sdk1.4.2_06/jre/lib/jce.jar
42179000-426d2000 r--s 00000000 16:03 1292794
/opt/j2sdk1.4.2_06/jre/lib/charsets.jar426d2000-426ff000
r--s 00000000 16:03 753382
/usr/local/share/poesia/javolution.jar
447a7000-447af000 r-xp 00000000 16:03 703213
/lib/libgcc_s.so.1
447af000-447b0000 rw-p 00007000 16:03 703213
/lib/libgcc_s.so.1
4c830000-4c877000 r--p 00000000 16:03 719615
/usr/lib/locale/locale-archive
4c877000-4c893000 r--s 00000000 16:03 377230
/opt/j2sdk1.4.2_06/jre/lib/ext/sunjce_provider.jar
4c893000-4c8a0000 r--s 00000000 16:03 377233
/opt/j2sdk1.4.2_06/jre/lib/ext/ldapsec.jar
4c8a0000-4c95c000 r--s 00000000 16:03 377262
/opt/j2sdk1.4.2_06/jre/lib/ext/localedata.jar
4c95c000-4c975000 r--s 00000000 16:03 753939
/usr/local/share/poesia/poesia.jar
4c975000-4c989000 r-xp 00000000 16:03 343662
/usr/local/lib/poesia/libimgImpl.so
4c989000-4c98c000 rw-p 00013000 16:03 343662
/usr/local/lib/poesia/libimgImpl.so
4cab7000-4cabd000 r-xp 00000000 16:03 343917
/usr/local/lib/poesia/libsymImpl.so
4cabd000-4cabe000 rw-p 00006000 16:03 343917
/usr/local/lib/poesia/libsymImpl.so
4cac6000-4cade000 r-xp 00000000 16:03 556441
/usr/lib/libnetpbm.so.10.0
4cade000-4cae2000 rw-p 00018000 16:03 556441
/usr/lib/libnetpbm.so.10.0
4cae2000-4cb81000 r-xp 00000000 16:03 556129
/usr/lib/libstdc++.so.5.0.7
4cb81000-4cb97000 rw-p 0009e000 16:03 556129
/usr/lib/libstdc++.so.5.0.7
4cb9c000-4cbb1000 r-xp 00000000 16:03 557128
/usr/lib/libgdk_pixbuf-2.0.so.0.600.2
4cbb1000-4cbb2000 rw-p 00014000 16:03 557128
/usr/lib/libgdk_pixbuf-2.0.so.0.600.2
4cbb2000-4cbe5000 r-xp 00000000 16:03 557225
/usr/lib/libgobject-2.0.so.0.600.2
4cbe5000-4cbe6000 rw-p 00033000 16:03 557225
/usr/lib/libgobject-2.0.so.0.600.2
4cbe6000-4cc65000 r-xp 00000000 16:03 557224
/usr/lib/libglib-2.0.so.0.600.2
4cc65000-4cc66000 rw-p 0007f000 16:03 557224
/usr/lib/libglib-2.0.so.0.600.2
4cc66000-4cc76000 r-xp 00000000 16:03 245710
/opt/j2sdk1.4.2_06/jre/lib/i386/libnet.so
4cc76000-4cc77000 rw-p 0000f000 16:03 245710
/opt/j2sdk1.4.2_06/jre/lib/i386/libnet.so
4cd1c000-4cd20000 r-xp 00000000 16:03 507267
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-jpeg.so
4cd20000-4cd21000 rw-p 00003000 16:03 507267
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-jpeg.so
4cd21000-4cd25000 r-xp 00000000 16:03 507267
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-jpeg.so
4cd25000-4cd26000 rw-p 00003000 16:03 507267
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-jpeg.so
4cd35000-4cd52000 r-xp 00000000 16:03 556097
/usr/lib/libjpeg.so.62.0.0
4cd52000-4cd53000 rw-p 0001d000 16:03 556097
/usr/lib/libjpeg.so.62.0.0

Heap at VM Abort:
Heap
def new generation total 576K, used 108K
[0x447b0000, 0x44850000, 0x44c90000)
eden space 512K, 8% used [0x447b0000, 0x447bb0a8,
0x44830000)
from space 64K, 100% used [0x44830000, 0x44840000,
0x44840000)
to space 64K, 0% used [0x44840000, 0x44840000,
0x44850000)
tenured generation total 1408K, used 208K
[0x44c90000, 0x44df0000, 0x487b0000)
the space 1408K, 14% used [0x44c90000, 0x44cc4360,
0x44cc4400, 0x44df0000)
compacting perm gen total 4096K, used 2177K
[0x487b0000, 0x48bb0000, 0x4c7b0000)
the space 4096K, 53% used [0x487b0000, 0x489d05e0,
0x489d0600, 0x48bb0000)

Local Time = Wed May 11 21:45:48 2005
Elapsed Time = 36
#
# The exception above was detected in native code
outside the VM
#
# Java VM: Java HotSpot(TM) Client VM (1.4.2_06-b03
mixed mode)
#
# An error report file has been saved as
hs_err_pid2666.log.
# Please refer to the file for further information.
#
java.net.SocketException: Connection reset
at
java.net.SocketInputStream.read(SocketInputStream.java:168)
at
java.io.BufferedInputStream.fill(BufferedInputStream.java:183)
at
java.io.BufferedInputStream.read(BufferedInputStream.java:201)
at
java.io.FilterInputStream.read(FilterInputStream.java:66)
at
org.poesia.protocol.Message.read(Message.java:364)
at
org.poesia.monitor.FilterChannel.run(FilterChannel.java:121)

Discussion

  • Riadh Elloumi

    Riadh Elloumi - 2005-05-11

    Image filter log

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-05-11

    Monitor log

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-05-11

    Shweby log

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-05-11

    Logged In: YES
    user_id=442502

    For information my JDK is Sun's j2sdk1.4.2_06

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-05-11

    Logged In: YES
    user_id=442502

    I forgot an important detail: this crash happens only the
    first time I lauch poesia after the Linux boot. In the
    following times, Poesia works well ! I think that's because
    Linux loads partially the needed libraries in the first time
    before the crash, and after that the loaded libraries remain
    in the memory. In the second time, Linux loads the remaining
    libraries and that works well because some dependencies are
    already solved...

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-11-06

    Logged In: YES
    user_id=442502

    The problem seems to be outside the JVM, because I updated
    the libraries used by the image filter (Netpbm and GTK), and
    the problem disapeared.

     
  • Riadh Elloumi

    Riadh Elloumi - 2005-11-06
    • status: open --> closed-fixed
     
  • Riadh Elloumi

    Riadh Elloumi - 2005-11-13
    • status: closed-fixed --> open-fixed
     
  • Riadh Elloumi

    Riadh Elloumi - 2005-11-13

    Logged In: YES
    user_id=442502

    Sorry, it does not really disappear. May be upgrading the
    JDK will solve the problem?

     
  • Riadh Elloumi

    Riadh Elloumi - 2006-03-12
    • status: open-fixed --> open-wont-fix
     
  • Riadh Elloumi

    Riadh Elloumi - 2006-03-12

    Logged In: YES
    user_id=442502

    When I upgraded to a 2.6 linux kernel, the problem
    disapeared actually!

     
  • Riadh Elloumi

    Riadh Elloumi - 2006-03-12
    • status: open-wont-fix --> closed-wont-fix
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks